slepc-3.21.1 2024-04-26
Report Typos and Errors

# STSetDefaultShift

Sets the value of the shift that should be employed if the user did not specify one.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STSetDefaultShift(ST st,PetscScalar defaultshift)

Logically Collective

### Input Parameters

| st | - the spectral transformation context
| defaultshift | - the default value of the shift

### See Also

STSetShift()

### Level

developer

### Location

src/sys/classes/st/interface/stfunc.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages